Subject: [ippm] RE draft-ietf-ippm-2330-update-04

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Mon, 19 May 2014 20:57:21 -0400

Hi Alissa,

Thanks for your comment:
Section 3.1.2:

	"This payload content could be either
	   generated by a random device or by using part of a compressed file
	   (e.g., a part of a ZIP compressed archive)."

	Not sure what is meant by a random device. Surely the same device originally
	emitting the test traffic could emit traffic less likely to be compressed?

	I was also surprised that this section does not discuss the rise in transport
	layer encryption, which I would expect to counteract the push towards
	in-network optimization in some cases.

We've clarified that the random payload content could be generated 
by a pseudo-random sequence generator.

Also, this section of the draft was written in Autumn 2012,
and exposure of widespread surveillance has changed the world
since then. We're happy to "update the update" to mention the
e2e encryption and its counteraction of optimizations in-network.
Diffs for the revised text attached.

regards,
Joachim and Al

> ________________________________________
> From: ippm [[email-masked]] On Behalf Of MORTON, ALFRED C (AL)
> Sent: Thursday, May 15, 2014 5:24 PM
> To: Jari Arkko; Robert Sparks
> Cc: General Area Review Team; [email-masked];
> [email-masked]; [email-masked]
> Subject: Re: [ippm] [Gen-art] Genart LC and telechat review: draft-ietf-
> ippm-2330-update-04
> 
> 
> Hi Jari,
> 
> Yes, we've both looked at Robert's suggestions (reaching the same
> conclusion)
> and thanked him individually last week.  We will
> prepare a revised draft very soon, also incorporating
> and addressing the comments from Alyssa and Kathleen.
> 
> best regards,
> Joachim and Al
> ________________________________________
> From: ippm [[email-masked]] On Behalf Of Jari Arkko
> [[email-masked]]
> Sent: Thursday, May 15, 2014 10:11 AM
> To: Robert Sparks
> Cc: General Area Review Team; [email-masked];
> [email-masked]
> Subject: Re: [ippm] [Gen-art] Genart LC and telechat review: draft-ietf-
> ippm-2330-update-04
> 
> Thank you very much for your in-depth review, Robert. Joachim, Al - have
> you taken note of the editorial suggestions? I at least think the
> suggestions were all good.
> 
> Jari
> 
> On May 9, 2014, at 4:58 PM, Robert Sparks <[email-masked]> wrote:
> 
> > I am the assigned Gen-ART reviewer for this draft. For background on
> > Gen-ART, please see the FAQ at
> >
> > <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.
> >
> > Please resolve these comments along with any other Last Call comments
> > you may receive.
> >
> > Document: draft-ietf-ippm-2330-update-04
> > Reviewer: Robert Sparks
> > Review Date: 9-May-2014
> > IETF LC End Date: 12-May-2014
> > IESG Telechat date: 15-May-2014
> >
> > Summary: This document is ready for publication as an Informational RFC
> >
> > Thanks for a well constructed document!
> >
> > It's in good enough shape that it invites very small polishing
> suggestions :)
> > I have a few tweaks to suggest - feel free to ignore them:
> >
> > In document order:
> >
> > Introduction, 3rd paragraph: What are the "proposed extensions"? Is this
> > sentence trying to say "There are proposed extensions to allow
> methodologies
> > to fulfill the continuity requirement stated in section 6.2, but it is
> impossible
> > to guarantee that they can do so?"
> >
> > Bullet 2 in block 1. of section 3: The first sentence is a fragment, and
> is
> > confusing. Should this bullet read "Payload content optimization
> (compression
> > or format conversion) in intermediate segments breaks the convention of
> > payload correspondence when correlating measurements are made at
> different
> > points in a path."? (That is, delete ". This" and change "made"->"are
> made".)
> >
> > There are inconsistent styles used in the subsections of section 4 that
> cause
> > the main points to be a little hard to pull out of the text:
> >
> > * in 4.1, you quote the new definition. Visually, that implies you're
> quoting
> > another source, like you do above it for the old definition. I suggest
> doing
> > something else to set this apart from the rest of the text - perhaps an
> > indented block?
> >
> > * Whatever you do there, consider doing the same in the other sections.
> > Highlight "we deprecate continuity" in 4.2, for example.
> >
> > * 4.4's point seems buried. Would it be correct to say (and would it
> help
> > highlight the point): "Conservative measurements in these environments
> > may not be possible."?
> >
> > Consider changing the heading text for 4.1 to 4.5 to highlight the
> > change or observation you're making. That would help drive the point
> > of the document in the ToC. Something like this (I'm sure I've blown
> > the capitalization).
> >
> > 4.1.  Revised Definition Of Repeatability
> > 4.2.  Continuity is not an Appropriate Alternative Criterion
> > 4.3.  Metrics Should be Actionable
> > 4.4.  It May Not be Possible to be Conservative
> > 4.5.  Spatial and Temporal Composition May Bias Sampling
> > 4.6.  Truncate the Tails of Poisson Deistrubutions
> >
> > In the conclusion, break the last (very long) sentence out
> > into its own paragraph.
> >
> >
> >
> >
> >
> >
> > _______________________________________________
> > Gen-art mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/gen-art
> 
> _______________________________________________
> ippm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ippm
> 
> _______________________________________________
> ippm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ippm